Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062556 - Designer open reusable subprocess just once
Summary: Designer open reusable subprocess just once
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: DR2
: 6.1.0
Assignee: Tihomir Surdilovic
QA Contact: Sona Mala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 09:32 UTC by Sona Mala
Modified: 2014-09-15 10:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Sona Mala 2014-02-07 09:32:55 UTC
Description of problem:
If user clicks on reusable sub process at + then the referenced process is shown in own designer. But if user close referenced process then + does not react any more.

There is one workaround: reopen process with reusable element.

Version-Release number of selected component (if applicable):
6.0.0 CR2 BPMS

Steps to Reproduce:
1. Create process "called" (Start -> End)
2. Save and close this process
3. Create process "process" (Start -> Reusable subprocess -> End)
4. Set property Called Element for Reusable subprocess to "called" ID
5. Click on + in reusable subprocess element
6. Switch back to "process"
7. Click on + in reusable subprocess element
8. Close "called"
9. Click on + in reusable subprocess element


Actual results:
"+" does not react any more.


Expected results:
same result as for step 5 and 7. The process "called" is shown.


Additional info:
Workaround: reopen process "process"

Comment 3 Sona Mala 2014-06-23 09:23:46 UTC
Still valid issue.

Comment 4 Tihomir Surdilovic 2014-07-10 19:34:38 UTC
fixed in designer master and 6.1.x branches

Comment 5 Sona Mala 2014-09-15 10:53:41 UTC
Verified for 6.1.0 DR2.

When the 'called' process is closed, it can be opened by (+) again.


Note You need to log in before you can comment on or make changes to this bug.